Loading...
Searching...
No Matches
RDKit::SynthonSpaceSearch::SynthonSpaceHitSet Struct Reference

`#include <SynthonSpaceHitSet.h>`

Inheritance diagram for RDKit::SynthonSpaceSearch::SynthonSpaceHitSet:

## Public Member Functions

| SynthonSpaceHitSet ()=delete
| SynthonSpaceHitSet (const SynthonSet &reaction, const std::vector< std::vector< size_t > > &stu, const std::vector< std::unique_ptr< ROMol > > &fragSet)
| SynthonSpaceHitSet (const SynthonSpaceHitSet &lhs)=delete
| SynthonSpaceHitSet (SynthonSpaceHitSet &&lhs)=delete
virtual | ~SynthonSpaceHitSet ()=default
SynthonSpaceHitSet & | operator= (const SynthonSpaceHitSet &rhs)=delete
SynthonSpaceHitSet & | operator= (SynthonSpaceHitSet &&rhs)=delete

## Public Attributes

const SynthonSet * | d_reaction {nullptr}
std::vector< std::vector< std::pair< std::string, const ROMol * > > > | synthonsToUse
size_t | numHits {0}
std::vector< const ROMol * > | frags

## Detailed Description

Definition at line 27 of file SynthonSpaceHitSet.h.

## Constructor & Destructor Documentation

## SynthonSpaceHitSet() [1/4]

RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::SynthonSpaceHitSet | ( |  | ) |

delete

## SynthonSpaceHitSet() [2/4]

RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::SynthonSpaceHitSet | ( | const SynthonSet & | reaction,
|  | const std::vector< std::vector< size_t > > & | stu,
|  | const std::vector< std::unique_ptr< ROMol > > & | fragSet
| ) |  |

## SynthonSpaceHitSet() [3/4]

RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::SynthonSpaceHitSet | ( | const SynthonSpaceHitSet & | lhs | ) |

delete

## SynthonSpaceHitSet() [4/4]

RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::SynthonSpaceHitSet | ( | SynthonSpaceHitSet && | lhs | ) |

delete

## ~SynthonSpaceHitSet()

virtual RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::~SynthonSpaceHitSet | ( |  | ) |

virtual default

## Member Function Documentation

## operator=() [1/2]

SynthonSpaceHitSet & RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::operator= | ( | const SynthonSpaceHitSet & | rhs | ) |

delete

## operator=() [2/2]

SynthonSpaceHitSet & RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::operator= | ( | SynthonSpaceHitSet && | rhs | ) |

delete

## Member Data Documentation

## d_reaction

const SynthonSet* RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::d_reaction {nullptr}

Definition at line 38 of file SynthonSpaceHitSet.h.

## frags

std::vector<const ROMol *> RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::frags

Definition at line 42 of file SynthonSpaceHitSet.h.

## numHits

size_t RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::numHits {0}

Definition at line 40 of file SynthonSpaceHitSet.h.

## synthonsToUse

std::vector<std::vector<std::pair<std::string, const ROMol *> > > RDKit::SynthonSpaceSearch::SynthonSpaceHitSet::synthonsToUse

Definition at line 39 of file SynthonSpaceHitSet.h.

The documentation for this struct was generated from the following file:

- SynthonSpaceHitSet.h